---
updatedAt: 2026-07-06T19:54:47.000Z
---

# Ship-from Location Accuracy Summary

Returns Ship-from location accuracies from Simplified Shipping Settings Metrics.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Insights Management",
    "version": "1.0",
    "description": "The Insights Management API provides sellers with actionable information to optimize their listings:\n*   Sellers can locate best-selling items with Trending Items API so they can add those to their catalog of item offerings. \n*   Sellers can find out reasons why items go unpublished, fix the issue and republish those items.\n*   Sellers can use Listing Quality APIs to gather listing quality metrics about their items and identify any issues that they can fix.\n*   Sellers can obtain their overall Listing Quality score, and locate any categories that show items with listing quality issues."
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production URL"
    },
    {
      "url": "https://sandbox.walmartapis.com",
      "description": "Sandbox URL"
    }
  ],
  "security": [
    {
      "accessToken": []
    }
  ],
  "paths": {
    "/v3/insights/performance/sss/sfla/summary": {
      "get": {
        "tags": [
          "Insight"
        ],
        "summary": "Ship-from Location Accuracy Summary",
        "description": "Returns Ship-from location accuracies from Simplified Shipping Settings Metrics.",
        "externalDocs": {
          "description": "View Guide",
          "url": "https://sellerhelp.walmart.com/s/guide?language=en_US&article=000007175"
        },
        "operationId": "getSfla",
        "parameters": [
          {
            "name": "reportDuration",
            "in": "query",
            "description": "Report Duration in days",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 30
            }
          },
          {
            "in": "header",
            "name": "Authorization",
            "description": "Basic authorization header. Base 64 encodes the Client ID and Client Secret retrieved in step two of the integration steps.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Basic YzcyOTFjNmItNzI5MC00...."
          },
          {
            "in": "header",
            "name": "WM_SEC.ACCESS_TOKEN",
            "description": "Access token obtained from the Token API. This is required for authenticating requests to Walmart Marketplace APIs.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "eyJraWQiOiIxNWNhNGIyYi0yODVjLTQ0ZDUtYmExNC05ZDk1NTlkZmUwNjgiLCJlbmMiOiJBMjU2R0NNIiwiYWxnIjoiZGlyIn0...."
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique ID to identify the consumer request by channel. Use the Consumer Channel Type received during onboarding.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique ID that identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Specifies the name of the Walmart service being called.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Marketplace"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "payload": {
                      "type": "object",
                      "properties": {
                        "reportDuration": {
                          "type": "integer",
                          "description": "Past number of days the metrics calculated",
                          "format": "int32"
                        },
                        "updatedTimestamp": {
                          "type": "string",
                          "description": "Timestamp when metrics are calculated in ISO format"
                        },
                        "cumulativeAccuracy": {
                          "type": "number",
                          "description": "Cumulative ship-from location accuracy",
                          "format": "float"
                        },
                        "cumulativeAccuracyTrend": {
                          "type": "string",
                          "description": "Cumulative ship-from location accuracy trend",
                          "enum": [
                            "GREEN_UP",
                            "GREEN",
                            "GREEN_DOWN",
                            "YELLOW_UP",
                            "YELLOW",
                            "YELLOW_DOWN",
                            "RED_UP",
                            "RED",
                            "RED_DOWN"
                          ]
                        },
                        "impactedOrderCount": {
                          "type": "integer",
                          "description": "Number of orders impacted",
                          "format": "int32"
                        },
                        "impactedOrderTrend": {
                          "type": "string",
                          "description": "Impacted orders trend",
                          "enum": [
                            "GREEN_UP",
                            "GREEN",
                            "GREEN_DOWN",
                            "YELLOW_UP",
                            "YELLOW",
                            "YELLOW_DOWN",
                            "RED_UP",
                            "RED",
                            "RED_DOWN"
                          ]
                        },
                        "recommendedAccuracy": {
                          "type": "number",
                          "description": "Recommended Carrier method accuracy value",
                          "format": "float"
                        },
                        "infractionDrivers": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "number",
                            "description": "Ship-from location accuracies of individual places",
                            "format": "float"
                          },
                          "description": "Ship-from location accuracies of individual places"
                        }
                      }
                    },
                    "status": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Error code of the response. \n",
                      "example": "404"
                    },
                    "description": {
                      "type": "string",
                      "description": "Description of error.\n\n",
                      "example": "HTTP 404 Not Found"
                    },
                    "info": {
                      "type": "string",
                      "description": "Info of error.\n\n",
                      "example": "Requested Performance Metrics could not be found."
                    },
                    "severity": {
                      "type": "string",
                      "description": "Severity of Error.\n\nExample: ERROR\n",
                      "example": "ERROR"
                    },
                    "category": {
                      "type": "string",
                      "description": "Category of error.\n\nExample: DATA\n",
                      "example": "DATA"
                    },
                    "causes": {
                      "type": "array",
                      "description": "Causes of error.",
                      "example": [],
                      "items": {
                        "type": "string",
                        "description": "Causes of error.",
                        "example": "[]"
                      }
                    },
                    "errorIdentifiers": {
                      "type": "object",
                      "description": "Error Identifiers of the error.",
                      "example": {}
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Error code of the response. \n",
                      "example": "500"
                    },
                    "description": {
                      "type": "string",
                      "description": "Description of error.\n\n",
                      "example": "HTTP 500 Some error occurred"
                    },
                    "severity": {
                      "type": "string",
                      "description": "Severity of Error.\n\nExample: ERROR\n",
                      "example": "ERROR"
                    },
                    "category": {
                      "type": "string",
                      "description": "Category of error.\n\nExample: DATA\n",
                      "example": "REQUEST"
                    },
                    "causes": {
                      "type": "array",
                      "description": "Causes of error.",
                      "example": [],
                      "items": {
                        "type": "string",
                        "description": "Causes of error.",
                        "example": "[]"
                      }
                    },
                    "errorIdentifiers": {
                      "type": "object",
                      "description": "Error Identifiers of the error.",
                      "example": {}
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "accessToken": {
        "type": "apiKey",
        "in": "header",
        "name": "WM_SEC.ACCESS_TOKEN",
        "description": "Access token required for authenticating API requests.\n\nTo obtain a token, call `POST https://marketplace.walmartapis.com/v3/token` with your client ID and client secret using the client credentials grant type. Refer to the [Token API documentation](https://developer.walmart.com/us-marketplace/docs/get-an-access-token) for details.\n\nPass the resulting token in the `WM_SEC.ACCESS_TOKEN` header with every API request."
      }
    }
  }
}
```